org.eclipse.actf.model.dom.odf.format

## Class FormatConstants

- java.lang.Object
- - org.eclipse.actf.model.dom.odf.format.FormatConstants

    public final class FormatConstants
    extends Object

FormatConstants defines the constant values used by XSL format namespace of ODF DOM API

### Field Summary

Fields
`static String` `ATTR_BACKGROUND_COLOR`
`static String` `ATTR_BORDER`
`static String` `ATTR_BORDER_BOTTOM`
`static String` `ATTR_BORDER_LEFT`
`static String` `ATTR_BORDER_RIGHT`
`static String` `ATTR_BORDER_TOP`
`static String` `ATTR_BREAK_BEFORE`
`static String` `ATTR_COLOR`
`static String` `ATTR_FONT_FAMILY`
`static String` `ATTR_FONT_SIZE`
`static String` `ATTR_FONT_STYLE`
`static String` `ATTR_FONT_WEIGHT`
`static String` `ATTR_MARGIN_BOTTOM`
`static String` `ATTR_MARGIN_LEFT`
`static String` `ATTR_MARGIN_RIGHT`
`static String` `ATTR_MARGIN_TOP`
`static String` `ATTR_PADDING`
`static String` `ATTR_PAGE_HEIGHT`
`static String` `ATTR_PAGE_WIDTH`
`static String` `ATTR_TEXT_ALIGN`
`static String` `FORMAT_NAMESPACE_URI`

### Constructor Summary

Constructors
Constructor and Description
`FormatConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORMAT_NAMESPACE_URI

    public static final String FORMAT_NAMESPACE_URI

See Also:
  Constant Field Values

#### ATTR_BACKGROUND_COLOR

    public static final String ATTR_BACKGROUND_COLOR

See Also:
  Constant Field Values

#### ATTR_BREAK_BEFORE

    public static final String ATTR_BREAK_BEFORE

See Also:
  Constant Field Values

#### ATTR_FONT_FAMILY

    public static final String ATTR_FONT_FAMILY

See Also:
  Constant Field Values

#### ATTR_FONT_SIZE

    public static final String ATTR_FONT_SIZE

See Also:
  Constant Field Values

#### ATTR_FONT_STYLE

    public static final String ATTR_FONT_STYLE

See Also:
  Constant Field Values

#### ATTR_FONT_WEIGHT

    public static final String ATTR_FONT_WEIGHT

See Also:
  Constant Field Values

#### ATTR_COLOR

    public static final String ATTR_COLOR

See Also:
  Constant Field Values

#### ATTR_MARGIN_TOP

    public static final String ATTR_MARGIN_TOP

See Also:
  Constant Field Values

#### ATTR_MARGIN_BOTTOM

    public static final String ATTR_MARGIN_BOTTOM

See Also:
  Constant Field Values

#### ATTR_MARGIN_LEFT

    public static final String ATTR_MARGIN_LEFT

See Also:
  Constant Field Values

#### ATTR_MARGIN_RIGHT

    public static final String ATTR_MARGIN_RIGHT

See Also:
  Constant Field Values

#### ATTR_PAGE_WIDTH

    public static final String ATTR_PAGE_WIDTH

See Also:
  Constant Field Values

#### ATTR_PAGE_HEIGHT

    public static final String ATTR_PAGE_HEIGHT

See Also:
  Constant Field Values

#### ATTR_BORDER

    public static final String ATTR_BORDER

See Also:
  Constant Field Values

#### ATTR_BORDER_TOP

    public static final String ATTR_BORDER_TOP

See Also:
  Constant Field Values

#### ATTR_BORDER_BOTTOM

    public static final String ATTR_BORDER_BOTTOM

See Also:
  Constant Field Values

#### ATTR_BORDER_LEFT

    public static final String ATTR_BORDER_LEFT

See Also:
  Constant Field Values

#### ATTR_BORDER_RIGHT

    public static final String ATTR_BORDER_RIGHT

See Also:
  Constant Field Values

#### ATTR_PADDING

    public static final String ATTR_PADDING

See Also:
  Constant Field Values

#### ATTR_TEXT_ALIGN

    public static final String ATTR_TEXT_ALIGN

See Also:
  Constant Field Values

### Constructor Detail

#### FormatConstants

    public FormatConstants()